/* 
 * File:   BLE_LED_Control.h
 * Author: selina.schuler
 *
 * Created on 20. Juni 2018, 16:00
 */

#ifndef BLE_LED_CONTROL_H
#define	BLE_LED_CONTROL_H

#ifdef	__cplusplus
extern "C" {
#endif

#define CONTROL_FRAME_OFFSET_LENGTH       0
#define CONTROL_FRAME_OFFSET_OPCODE_LSB   1
#define CONTROL_FRAME_OFFSET_OPCODE_MSB   2
#define CONTROL_FRAME_OFFSET_CHANNELNO    3
#define CONTROL_FRAME_OFFSET_CHANELVALUE  4

    extern void BLE_LED_control_BleToPWM(uint8_t *pBleData, uint8_t length);
    extern void BLE_LED_control_GetChannelValuesAsPacket(uint8_t *pBleData, uint8_t *length);
    extern void BLE_LED_control_GetChannelValue(uint8_t *pValue, uint8_t channelNo);
    extern bool BLE_LED_control_ChannelValid(uint8_t channelNo);
    extern void BLE_LED_control_InitChannels();

#ifdef	__cplusplus
}
#endif

#endif	/* BLE_LED_CONTROL_H */

