/* 
 * File:   LCD.h
 * Author: AleX
 *
 * Created on 16. Mai 2018, 10:46
 */

#ifndef LCD_H
#define	LCD_H

#ifdef	__cplusplus
extern "C" {
#endif




#ifdef	__cplusplus
}
#endif

#endif	/* LCD_H */
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <xc.h>


#define _XTAL_FREQ  16000000        // this is used by the __delay_ms(xx) and __delay_us(xx) functions

// Control signal data pins
#define RW  LATCbits.LATC4  // LCD R/W signal
#define RS  LATCbits.LATC2 // LCD RS signal
#define E   LATCbits.LATC3  // LCD E signal

// Control signal pin direction
#define RW_TRIS TRISCbits.TRISC4
#define RS_TRIS TRISCbits.TRISC2
#define E_TRIS  TRISCbits.TRISC3

// Data signals and pin direction
#define DATA        LATF    // Port for LCD data
#define DATAPORT    PORTF
#define TRISDATA    TRISF   // I/O setup for data Port


void clockEnableLCD();
void delay_ms(uint16_t u16milliseconds);
// void configLCDport();
void initLCD();
void sendCommandLCD(uint8_t data);
void sendCommandLCDblock(uint8_t data);
void writeDataLCD(uint8_t data);
void writeDataLCDblock(uint8_t data);
// void setDDRAMAdressLCD();
//uint8_t readBusyFlagLCD();
void putsLCD(char *buffer);
void putcLCD(char c);
void secondLine();
void firstLine();

void pwmToString();
void stringLCD (char *buffer, uint8_t line);
void putStrLCD();
void putStrLCD2();
void clearStrLCD();